%define name    lopster
%define version 1.2.2
%define distsuffix plf
%define release %mkrel 3

%define section Networking/File transfer
%define title   Lopster
%define summary Extensive Napsterclient developed in C using the GTK toolkit

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/File transfer
URL:            http://lopster.sf.net
# http://lopster.sourceforge.net/download/lopster-1.2.0.tar.gz
Source0:        %name-%version.tar.bz2
Source1:        %name-icons.tar.bz2
Patch0:         lopster-1.2.2-lvalue.patch
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  gtk+-devel zlib-devel

%description
Lopster is the most featurefull napster-client around.
It supports multiple server-connections and multiple client-downloads.
This package is in plf because mandrakelinux policy forbids p2p applications 
in contribs.

%prep
%setup -q
%setup -q -T -D -a1
%patch -p0 -b .lvalue

%build
%configure --with-zlib --with-pthread
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%title
Comment=%summary
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Internet-FileTransfer
EOF

# icon
%__install -D -m 644 %name-48x48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %name-32x32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %name-16x16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root)
%_bindir/%name
%dir %_datadir/%name
%defattr(0644,root,root,0755)
%_datadir/%name/*

%doc AUTHORS BUGS ChangeLog COPYING README README.ES README.pings TODO
%_menudir/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_miconsdir/*
%_iconsdir/*
%_liconsdir/*

%changelog
* Sun Aug 20 2006 Olivier Thauvin <nanardon@zarb.org> 1.2.2-3plf
- xdg menu
- %%mkrel

* Wed Sep 22 2004 jipe <jipe@zarb.org> 1.2.2-2plf
- added reason ...

* Fri Sep 17 2004 jipe <jipe@zarb.org> 1.2.2-1plf
- just a bugfix release
- no new features added

* Mon Aug 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-1plf
- 1.2.1
- remove patch1, include upstream
 
* Tue Sep 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.0-4plf
- Jean-Pierre Laroche <jipe@users.sourceforge.net>
    - Added pthread support. it's supposed to prevent gui freezing ...

* Fri Jul 11 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.0-3plf 
- fix DIRM: file pixmaps /usr/share/lopster/

* Tue Mar 18 2003 Han Boetes <han@linux-mandrake.com> 1.2.0-2plf
- Added zlib support. See if somebody complains. Can't find anything
  with google.

* Wed Mar  5 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2.0-1plf
- initial plf version

* Wed Mar  5 2003 Han Boetes <han@linux-mandrake.com> 1.2.0-1mdk
- Initial release for mandrake.
